Tag: Gradle

Algunos problemas con buildToolsVersion 23.0.1

Mi proyecto build.gradle es: … compileSdkVersion 21 buildToolsVersion "22.0.1" … y todo está bien, pero cuando lo cambio a la última compileSdkVersion 23 y buildToolsVersion "23.0.1" algunas clases como: Browser.BookmarkColumns cannot resolve "BookmarkColumns" o notification.setLatestEventInfo(..) cannot resolve "setLatestEventInfo" y ¿Cuál es el problema con esta última versión de herramientas de compilación y cómo puedo resolver […]

Android Studio Gradle Archivo no válido Manifest.xml

Estoy tratando de construir mi proyecto Android en AndroidStudio versión 0.4.4, pero algo salió mal después de tocar el archivo build.gradle, que ahora se ve así: apply plugin: 'android' android { compileSdkVersion 19 buildToolsVersion "19.0.1" defaultConfig { minSdkVersion 9 targetSdkVersion 19 versionCode 1 versionName "1.0" } signingConfigs { release { storeFile file('somekey.jks') storePassword "pass" keyAlias […]

¿Cómo obtener Gradle 1.9 en android-studio 0.3.6 corriendo?

Acabo de pasar un cierto tiempo y no intentado emigrar un proyecto existente del estudio del androide de gradle 1.8 a gradle 1.9 final (que fue lanzado ayer 19 de noviembre ). He leído la mayoría de los otros puestos relacionados con el grado aquí, pero ninguno funcionó para mí. aquí una lista de lo […]

Android Conflict con dependencia appcompat

Estoy tratando de agregar la librería espresso-contrib a mi proyecto. Aquí está mi archivo build.gradle: apply plugin: 'com.android.application' android { compileSdkVersion 23 buildToolsVersion "23.0.2" defaultConfig { applicationId "example.com.littlebox_hari" minSdkVersion 19 targetSdkVersion 23 versionCode 1 versionName "1.0" testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner" } buildTypes { release { minifyEnabled false proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro' } } /*configurations.all { resolutionStrategy { force […]

Error de generación con Android Studio 3.0 Canary 4

Actualmente estoy en el proceso de desarrollar una aplicación Instant, para la que he reestructurado mi aplicación monolítica en módulos de funciones. Todo estaba en marcha hasta Android Studio canary 3, pero después de una actualización de Android Studio Canary 4 mi proyecto no se puede construir con el siguiente error: A problem was found […]

¿Cómo configurar el nivel de registro de depuración y liberación para Retrofit?

Yo uso Retrofit en mi proyecto de Android. Durante el desarrollo, RestAdapter la salida de registro completa para el RestAdapter siguiente manera: new RestAdapter.Builder() .setLogLevel(RestAdapter.LogLevel.FULL); Cuando hago un lanzamiento el nivel de registro se establece en RestAdapter.LogLevel.NONE por razones obvias. Me gustaría cambiar automáticamente esta configuración basada en la arquitectura de la carpeta / compilación: […]

Android Gradle Unit Prueba de migración de JARs – duplicar los archivos hamcrest de junit y mockito

Por fin estoy migrando mis viejas pruebas de unidad que se ejecutaron con archivos JAR usando gradle pero estoy teniendo muchos problemas para obtener la combinación correcta y no estoy seguro de lo que estoy haciendo bien o mal. En primer lugar, estos son todos los archivos jar que estoy usando. dexmaker-1.0.jar dexmaker-mockito-1.0.jar fest-android-1.0.7.jar fest-assert-core-2.0M10.jar […]

cadenas personalizadas para debug buildType

Tengo una aplicación para Android y quiero cambiar la etiqueta de la aplicación para la depuración y otros buildTypes . ¡No tengo sabores! Aquí está la configuración que creo que parece que debería funcionar: -src |-debug |-res |-values |-strings.xml |-main |-res |-values |-strings.xml |-java […] No tengo fuentes personalizadas sólo un debug buildType: buildTypes { […]

Android Studio NDK Error de compilación Error: Error de ejecución de la tarea ': app: buildNative'

Hola. Estoy en Android Studio NDK Construir problemas. No he utilizado la biblioteca nativa. sólo clases java para el uso de la biblioteca y JNI c o archivos de encabezado. Así que he confundido cómo escribir el archivo gradle para mi proyecto (biblioteca saskin, estoy estudiando). Por favor, ayúdame ~! Mensaje de error Error: Error […]

Error con el cliente de Google Play Service

He estado trabajando en tratar de conseguir este proyecto android para trabajar en el estudio de androide con gradle. Soy bastante nuevo en todo, por lo que puede ser un problema simple, pero he pasado unos cuantos días y no puedo obtener más allá de este error que recibo al intentar ejecutar mi proyecto: Error:(25, […]

FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.